<?php
require_once "functions.php";
$chosen_langs = get_option('bentr_preferred_languages');
?>
<div>
  <h2>Bens Translator - Translated Pages</h2>
</div>
<div>
<table style="border:1px solid grey;">
<tr style="border:1px solid grey;">
  <td>Page</td>
<?php
foreach($chosen_langs as $lang){
    $flg_image_url = bentr_get_flag_image($lang);
    echo "<td><img src=\"$flg_image_url\" alt=\"$lang\" title=\"$lang\"  border=\"0\" /></td>";
  }
                       
if (isset($_POST['number'])){
  $value = $_POST['number'];
  $start = $value;   
  $end = '10';
  }
  
if ($_POST['type'] == 'posts') {
    $querystr = "SELECT $wpdb->posts.* FROM $wpdb->posts WHERE $wpdb->posts.post_status = 'publish' ORDER BY $wpdb->posts.post_title ASC LIMIT $start, $end";
  }  
else {
    $querystr = "SELECT $wpdb->posts.* FROM $wpdb->posts WHERE $wpdb->posts.post_status = 'publish' ORDER BY $wpdb->posts.post_title ASC LIMIT 0, 10";
  }

$pageposts = $wpdb->get_results($querystr, OBJECT);
$querystr = "SELECT $wpdb->posts.* FROM $wpdb->posts WHERE $wpdb->posts.post_status = 'publish' ORDER BY $wpdb->posts.post_title ASC";
$pageposts_count = $wpdb->get_results($querystr, OBJECT);
if ($start == '0' || !isset($start)){
  array_unshift($pageposts, BLOG_HOME);
  }


    if ($pageposts):
    foreach ($pageposts as $post):
    setup_postdata($post);
    $home = BLOG_HOME;
    ?>
      <tr>
        <td>        
          <?php 
          if ($post == BLOG_HOME){
            echo "<a href=\"$home\" title=\"Link to Homepage\">Home</a>";
          }
          else {
          $title = get_the_title();
          $short_name = substr($title, 0 , 30);
          ?>
            <a href="<?php the_permalink(); ?>" title="Link to <?php the_title(); ?>"><?php echo $short_name; ?></a>
          <?php
          }
          
          ?>
        </td>
      <?php
      foreach($chosen_langs as $lang){
      if ($post == BLOG_HOME){
        $permalink = BLOG_HOME;
      }
      else{
        $permalink = get_permalink();
      }

      $hash = preg_replace("/".BLOG_HOME_ESCAPED."/", "/" . $lang, $permalink );
      $hash = bentr_hashReqUri($hash);
      $cachedir = $bentr_cache_dir;
      $staledir = $bentr_stale_dir;
      $filename = $cachedir . '/' . $lang . '/' . $hash; 
      $filename_stale = $staledir . '/' . $lang . '/' . $hash; 
      $permalink_lang = preg_replace("/".BLOG_HOME_ESCAPED."/", BLOG_HOME . "/$lang" , $permalink );
      $picture = WP_PLUGIN_URL . '/bens-translator/images/lights';
      
        if (file_exists($filename) && filesize($filename) > 0) {
          echo "<td><a href=\"$permalink_lang\"><img title=\"Cached\" src=\"$picture/green-ball.gif\" /></a></td>";
        }
        elseif (file_exists($filename_stale) && filesize($filename_stale) > 0) {
          echo "<td><a href=\"$permalink_lang\"><img title=\"Stale\" src=\"$picture/yellow-ball.gif\" /></a></td>";
        }
        else {
          echo "<td><a href=\"$permalink_lang\"><img title=\"Not Cached\" src=\"$picture/red-ball.gif\" /></td>";
        }
      }
    echo "</tr>";
    
    endforeach;
    else :
    echo 'Error';
    endif;
    


?> 
</table>

<h3>Options</h3>
<?php
$location = get_option('siteurl') . '/wp-admin/admin.php?page=bens-translator/core/bentr-translated.php';
$array_count = count($pageposts_count);
$array_count = $array_count / 10;
?>
<form action="<?php $location ?>" method="post">
  <select name="type">
    <option value="posts">Posts/pages</option>
  </select>
  <select name="number">
    <?php
    $i = '0';
    while ($i <= $array_count){
      $value = $i * 10;
      $value2 = $value + 10;
      if ($value == $start){
        $selected = 'SELECTED';
      }
      echo "<option $selected value=\"$value\">$value - $value2</option>";
      $selected = '';
      $i++;
    }
    ?>
  </select>
  
  <input type="submit" value="Submit" />
</form>
<br />
<table>
  <tr>
    <td>
      <?php echo "<img title=\"Cached\" src=\"$picture/green-ball.gif\" />"; ?> Sucessfully Cached 
    </td>
  </tr>
  <tr>
    <td>
       <?php echo "<img title=\"Cached\" src=\"$picture/yellow-ball.gif\" />"; ?> In Stale Cache
    </td>
  </tr>
  <tr>
    <td>
      <?php echo "<img title=\"Cached\" src=\"$picture/red-ball.gif\" />"; ?> Not Cached 
    </td>
  </tr>
</table>